> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# MCP Check Agent

> Verify AI agent trust (MCP-compatible endpoint).



## OpenAPI

````yaml /api-reference/openapi.json post /v1/mcp/check-agent
openapi: 3.1.0
info:
  title: Limitguard.ai
  description: >-
    Lead validation API: the company behind each lead checked against the NL and
    BE business registers, EU VAT and sanctions lists, plus company, KYB and
    agent wallet checks for developers and AI agents
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/mcp/check-agent:
    post:
      tags:
        - mcp
      summary: MCP Check Agent
      description: Verify AI agent trust (MCP-compatible endpoint).
      operationId: mcp_check_agent_v1_mcp_check_agent_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckAgentRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CheckAgentRequest:
      properties:
        agent_id:
          type: string
          title: Agent Id
          description: Unique agent identifier
        agent_name:
          type: string
          title: Agent Name
          description: Human-readable agent name
      type: object
      required:
        - agent_id
        - agent_name
      title: CheckAgentRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.